org.apache.uima.fit.component

## Class JCasCollectionReader_ImplBase

- java.lang.Object
- - org.apache.uima.resource.Resource_ImplBase
  - - org.apache.uima.resource.ConfigurableResource_ImplBase
    - - org.apache.uima.collection.CollectionReader_ImplBase
      - - org.apache.uima.fit.component.JCasCollectionReader_ImplBase

- All Implemented Interfaces:
    BaseCollectionReader, CollectionReader, ConfigurableResource, Resource

      public abstract class JCasCollectionReader_ImplBase
      extends CollectionReader_ImplBase

  Base class for JCas collection readers which initializes itself based on annotations.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.uima.resource.Resource

      `PARAM_AGGREGATE_SOFA_MAPPINGS, PARAM_CONFIG_MANAGER, PARAM_CONFIG_PARAM_SETTINGS, PARAM_EXTERNAL_OVERRIDE_SETTINGS, PARAM_PERFORMANCE_TUNING_SETTINGS, PARAM_RESOURCE_MANAGER, PARAM_UIMA_CONTEXT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JCasCollectionReader_ImplBase()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `getNext(CAS cas)`
    `abstract void` | `getNext(JCas jCas)` Subclasses should implement this method rather than `getNext(CAS)`
    `void` | `initialize()`
    `void` | `initialize(UimaContext context)` This method should be overwritten by subclasses.

    - ### Methods inherited from class org.apache.uima.collection.CollectionReader_ImplBase

      `destroy, getCasInitializer, getProcessingResourceMetaData, initialize, isConsuming, reconfigure, setCasInitializer, typeSystemInit`

    - ### Methods inherited from class org.apache.uima.resource.ConfigurableResource_ImplBase

      `getConfigParameterValue, getConfigParameterValue, setConfigParameterValue, setConfigParameterValue`

    - ### Methods inherited from class org.apache.uima.resource.Resource_ImplBase

      `getCasManager, getLogger, getMetaData, getRelativePathResolver, getResourceManager, getUimaContext, getUimaContextAdmin, loadUserClass, loadUserClassOrThrow, setContextHolder, setContextHolderX, setLogger, setMetaData, withContextHolder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.collection.base_cpm.BaseCollectionReader

      `getProgress, hasNext`

    - ### Methods inherited from interface org.apache.uima.resource.ConfigurableResource

      `getConfigParameterValue, getConfigParameterValue, setConfigParameterValue, setConfigParameterValue`

    - ### Methods inherited from interface org.apache.uima.resource.Resource

      `getLogger, getMetaData, getResourceManager, getUimaContext, getUimaContextAdmin, setLogger`

- - ### Constructor Detail

    - #### JCasCollectionReader_ImplBase

          public JCasCollectionReader_ImplBase()

  - ### Method Detail

    - #### initialize

          public final void initialize()
                                throws ResourceInitializationException

      Overrides:
        `initialize` in class `CollectionReader_ImplBase`
      Throws:
        `ResourceInitializationException`

    - #### initialize

          public void initialize(UimaContext context)
                          throws ResourceInitializationException

      This method should be overwritten by subclasses.
      Parameters:
        `context` - the UIMA context the component is running in
      Throws:
        `ResourceInitializationException` - if a failure occurs during initialization.

    - #### getNext

          public final void getNext(CAS cas)
                             throws IOException,
                                    CollectionException

      Throws:
        `IOException`
        `CollectionException`

    - #### getNext

          public abstract void getNext(JCas jCas)
                                throws IOException,
                                       CollectionException

      Subclasses should implement this method rather than `getNext(CAS)`
      Parameters:
        `jCas` - the `JCas` to store the read data to
      Throws:
        `IOException` - if there was a low-level I/O problem
        `CollectionException` - if there was another problem

    - #### close

          public void close()
                     throws IOException

      Throws:
        `IOException`

Copyright © 2012–2021 The Apache Software Foundation. All rights reserved.